# TODO add option to remove dependencies

%define gcversion gc6.3
%define gitcommit 169789b1480710712d587d5859fab9d93eb952a2
%define gitdate 20180520

Summary:        Pager that can also be used as textbased webbrowser
Name:           w3m
Version:        0.5.3
Release:        %mkrel 13.git20180520.4
Group:          Networking/WWW
License:        MIT-like
URL:            https://github.com/tats/w3m/
Source0:	https://github.com/tats/w3m/archive/%{gitcommit}/%{name}-git%{gitdate}.tar.gz
Source2:        w3mconfig

Patch0:         0001-allow-to-configure-the-accept-option-for-bad-cookies.patch
Patch1:         0001-implements-simple-session-management.patch
Patch2:         0001-handle-EXDEV-during-history-file-rename.patch
Patch3:         0001-w3mman-don-t-show-invalid-characters-bsc-950800.patch

# let help handle japanese
Patch10:         w3m-0.5.3-helpcharset.patch
# Fix build
Patch17:                w3m-0.5.3-x11.patch

Provides:       webclient
BuildRequires:  gpm-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:  imlib2-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  termcap-devel
BuildRequires:  pkgconfig(bdw-gc)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)

%global __requires_exclude        perl\\(w3mhelp-.*\\)

%description
W3m is a text-based web browser as well as a pager like `more' or
`less'. With w3m you can browse web pages through a terminal emulator
window (xterm, rxvt or something like that). Moreover, w3m can be used
as a text formatting tool which typesets HTML into plain text. w3m also
provides w3mman which is a great manpage browser.

%prep
%setup -q -n %{name}-%{gitcommit}
%autopatch -p1

%{__cp} -a %{SOURCE2} w3mconfig

%build
sed -i s/showaudio/mplayer/ config.h.in
export CFLAGS="$RPM_OPT_FLAGS -DUSE_BUFINFO -DOPENSSL_NO_SSL_INTERN -D_GNU_SOURCE $(getconf LFS_CFLAGS) -fno-strict-aliasing `ncursesw6-config --cflags` -fPIE -I%{_includedir}/glib-2.0 -I%{_libdir}/glib-2.0/include -I%{_includedir}/gdk-pixbuf-2.0"

%{configure} \
                --with-browser=%{_bindir}/www-browser \
                --with-editor=%{_bindir}/vi \
                --with-mailer=/bin/mail \
                --with-termlib=ncurses \
                --enable-alarm \
                --enable-ansi-color \
                --enable-bgcolor \
                --enable-color \
                --enable-cookie \
                --enable-dict \
                --enable-digest-auth \
                --enable-external-uri-loader \
                --enable-gopher \
                --enable-help-cgi \
                --enable-history \
                --enable-image \
                --enable-ipv6 \
                --disable-japanese \
                --enable-keymap=w3m \
                --enable-menu \
                --enable-mouse \
                --enable-nntp \
                --enable-sslverify \
                --enable-w3mmailer \
                --disable-xface \
                --enable-m17n \
                --enable-unicode \
                --with-charset=UTF-8

make

%install
install -d %{buildroot}/{%{_bindir},{%{_datadir},%{_libdir}}/%{name},%{_mandir}/{,ja_JP.ujis}/man1}

%make_install

install -m0644 doc-jp/w3m.1 %{buildroot}/%{_mandir}/ja_JP.ujis/man1
install -m0644 doc/w3m.1 %{buildroot}/%{_mandir}/man1

install -d %{buildroot}%{_sysconfdir}/w3m
install -m0644 w3mconfig %{buildroot}%{_sysconfdir}/w3m/config

rm -rf %{buildroot}/%{_mandir}/ja*

%find_lang %{name}

%files -f %{name}.lang
%doc README doc doc-jp w3mhelp-lynx_*
%dir %{_sysconfdir}/w3m
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/w3m/config
%attr(0755,root,root) %{_bindir}/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/*/man1/w3m*.1.*



%changelog
* Thu Dec 03 2020 bcornec <bcornec> 0.5.3-13.git20180520.4.mga8
+ Revision: 1652054
- Fix build issues
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Feb 14 2020 umeabot <umeabot> 0.5.3-13.git20180520.3.mga8
+ Revision: 1518060
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.5.3-13.git20180520.2.mga7
+ Revision: 1301649
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 pterjan <pterjan> 0.5.3-13.git20180520.1.mga7
+ Revision: 1242531
- Update to more recent snapshot of Debian's git. In particular this conatins fixes for CVE-2018-6196, CVE-2018-6197 and CVE-2018-6198

* Fri Sep 01 2017 guillomovitch <guillomovitch> 0.5.3-12.git20161120.2.mga7
+ Revision: 1150478
- rebuild for latest openssl

* Thu Apr 27 2017 neoclust <neoclust> 0.5.3-12.git20161120.1.mga6
+ Revision: 1097830
- New git snapshot
- Fixes CVE-2016-942[2-9]
        CVE-2016-943[0-9]
        CVE-2016-944[0-3]
        CVE-2016-962[2-9]
        CVE-2016-963[0-3]
 (mga#19811)

* Mon Apr 25 2016 luigiwalser <luigiwalser> 0.5.3-11.mga6
+ Revision: 1006218
- add patch from fedora to fix DoS issue (mga#18263)

* Thu Mar 03 2016 umeabot <umeabot> 0.5.3-10.mga6
+ Revision: 984747
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 0.5.3-9.mga6
+ Revision: 937926
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-8.mga5
+ Revision: 745171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-7.mga5
+ Revision: 690257
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jun 07 2014 pterjan <pterjan> 0.5.3-6.mga5
+ Revision: 634364
- Fix invalid translation

* Fri Oct 18 2013 umeabot <umeabot> 0.5.3-5.mga4
+ Revision: 520076
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-4.mga3
+ Revision: 385586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.5.3-3.mga3
+ Revision: 337874
- Fix for _libdir != _libexecdir

* Sun Dec 02 2012 pterjan <pterjan> 0.5.3-2.mga3
+ Revision: 324879
- Use system libgc
- Link against libx11 explicitly as we are using a symbol
- Fix name conflict
- Drop useless BuildRequires on ungif-devel, it has never been used directly

* Sun Sep 25 2011 pterjan <pterjan> 0.5.3-1.mga2
+ Revision: 147802
- Drop obsolete scriptlets
- Update to 0.5.3
- Fix sys_errlist test instead of removing it
- Update to 0.5.3
- Fix sys_errlist test instead of removing it

* Sun May 15 2011 pterjan <pterjan> 0.5.2-11.mga1
+ Revision: 99039
- Rebuild for fixed find-requires

* Sat Apr 30 2011 misc <misc> 0.5.2-10.mga1
+ Revision: 93814
- increase release to match the one of Mandriva
- document patches

* Sun Mar 06 2011 saispo <saispo> 0.5.2-1.mga1
+ Revision: 65219
- Fix imlib BuildRequires
- imported package w3m

